Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25338

Description

If you discover relations, QGIS creates a very long unique name for them:

relations.png

This causes the attributes form UI to get expanded horizontally and very awkward to use:

properties.png

Also the names are so long they are hard to recognise one from the other. Perhaps we could use the relation name rather than its ID in the

layer properties attribute form UI?

Associated revisions

Revision ea5ed674 - 2017-11-14 08:44 PM - David 

Autogenerated relation names in dialog instead of ids

The autogenerated ids are quite long and this leads that they where very unconfortable to use in the configuration of relation reference in the attribute type

widget of layer properties - attribute form. So now the names are used in the combo instead of the ids. This effects only the GUI.

Fix: #17441

Revision a49ed097 - 2017-11-15 12:26 PM - David Signer

Autogenerated relation names in dialog instead of ids

The autogenerated ids are quite long and this leads that they where very unconfortable to use in the configuration of relation reference in the attribute type

widget of layer properties - attribute form. So now the names are used in the combo instead of the ids. This effects only the GUI.

Fix: #17441

History

#1 - 2017-11-14 08:44 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|ea5ed674cb9ef2a3569e582ec96511adfe0711bd.
